﻿using igGridSort.Models;
using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igGridSort.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var viewModel = new CustomersViewModel
            {
                //IEnumerable of Customer Objects
                Customers = GetCustomers(),
            };

            return View(viewModel);
        }

        private IEnumerable<Customer> GetCustomers()
        {
            return new List<Customer>
            {
                new Customer { CustomerID=1, CompanyName="Company1", ContactName="John Smith", Country="USA", City="Los Angeles", Orders= new List <Order>
                {
                    new Order { OrderID = 101, CustomerID = 1, ShipName="Ship11", ShipAddress="Australia" },
                    new Order { OrderID = 102, CustomerID = 1, ShipName = "Ship12", ShipAddress = "USA" },
                    new Order { OrderID = 103, CustomerID = 1, ShipName = "Ship13", ShipAddress = "Germany" }, }
                },
                new Customer { CustomerID=2, CompanyName="Company2", ContactName="Bob Richards", Country="USA", City="New York", Orders= new List <Order>
                {
                    new Order { OrderID = 201, CustomerID = 2, ShipName="Ship21", ShipAddress="USA" },
                    new Order { OrderID = 202, CustomerID = 2, ShipName = "Ship22", ShipAddress = "Austria" },
                    new Order { OrderID = 203, CustomerID = 2, ShipName = "Ship23", ShipAddress = "USA" },
                    new Order { OrderID = 204, CustomerID = 2, ShipName = "Ship24", ShipAddress = "France" },
                    new Order { OrderID = 205, CustomerID = 2, ShipName = "Ship25", ShipAddress = "USA" },
                    new Order { OrderID = 206, CustomerID = 2, ShipName = "Ship26", ShipAddress = "USA" }, }
                },
                new Customer { CustomerID=3, CompanyName="Company3", ContactName="Marge Wright", Country="England", City="London", Orders= new List <Order>
                {
                    new Order { OrderID = 301, CustomerID = 3, ShipName="Ship31", ShipAddress="England" },
                    new Order { OrderID = 302, CustomerID = 3, ShipName = "Ship32", ShipAddress = "USA" },
                    new Order { OrderID = 303, CustomerID = 3, ShipName = "Ship33", ShipAddress = "France" }, }
                },
                new Customer { CustomerID=4, CompanyName="Company4", ContactName="Dwight Long", Country="Germany", City="Berlin", Orders= new List <Order>
                {
                    new Order { OrderID = 401, CustomerID = 4, ShipName="Ship41", ShipAddress="Austria" },
                    new Order { OrderID = 402, CustomerID = 4, ShipName = "Ship42", ShipAddress = "Bulgaria" },
                    new Order { OrderID = 403, CustomerID = 4, ShipName = "Ship43", ShipAddress = "France" }, }
                },
                new Customer { CustomerID=5, CompanyName="Company5", ContactName="Bob Richards1", Country="Bulgaria", City="Sofia", Orders= new List <Order>
                {
                    new Order { OrderID = 501, CustomerID = 5, ShipName="Ship51", ShipAddress="Germany" },
                    new Order { OrderID = 502, CustomerID = 5, ShipName = "Ship52", ShipAddress = "USA" },
                    new Order { OrderID = 503, CustomerID = 5, ShipName = "Ship53", ShipAddress = "France" },
                    new Order { OrderID = 504, CustomerID = 5, ShipName = "Ship54", ShipAddress = "France" }, }
                },
                new Customer { CustomerID=6, CompanyName="Company6", ContactName="Marge Wright1", Country="Austria", City="Viena", Orders= new List <Order>
                {
                    new Order { OrderID = 601, CustomerID = 6, ShipName="Ship61", ShipAddress="Germany" },
                    new Order { OrderID = 602, CustomerID = 6, ShipName = "Ship62", ShipAddress = "Bulgaria" },
                    new Order { OrderID = 603, CustomerID = 6, ShipName = "Ship63", ShipAddress = "France" },
                    new Order { OrderID = 604, CustomerID = 6, ShipName = "Ship64", ShipAddress = "USA" }, }
                },
                new Customer { CustomerID=7, CompanyName="Company7", ContactName="Dwight Long1", Country="France", City="Paris", Orders= new List <Order>
                {
                    new Order { OrderID = 701, CustomerID = 7, ShipName="Ship71", ShipAddress="England" },
                    new Order { OrderID = 702, CustomerID = 7, ShipName = "Ship72", ShipAddress = "USA" },
                    new Order { OrderID = 703, CustomerID = 7, ShipName = "Ship73", ShipAddress = "France" }, }
                },
            };
        }
  
    }
}